SCP(1)

NAZWA
scp - bezpieczne kopiowanie (program zdalnego kopiowania plików)

SKŁADNIA
scp [-pqrvBC1246] [-F plik_konfig_ssh] [-S program] [-P port] [-c szyfr] [-i plik_tożsamości] [-l limit] [-o opcja_ssh] [ [użytkownik@] host1: ]nazwa_pliku1 [...] [ [użytkownik@] host2: ]nazwa_pliku2

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

scp kopiuje pliki między komputerami w sieci. Do transferu danych używa ssh(1) i wykorzystuje tę samą autoryzację oraz daje takie samo bezpieczeństwo jak ssh(1). W przeciwieństwie do rcp(1), scp pyta w razie potrzeby o hasła uwierzytelniające.

Wszelkie nazwy pliku mogą zawierać specyfikacje hosta i użytkownika, określające, że plik jest kopiowany do/z tego hosta. Dozwolone jest kopiowanie między dwoma zdalnymi hostami.

Dostępne są następujące opcje:

-c szyfr
    Wybiera szyfr używany do kodowania danych. Opcja ta jest przekazywana bezpośrednio do ssh(1).

-i plik_tożsamości
    Wybiera plik, z którego odczytywana jest tożsamość (klucz prywatny) dla uwierzytelnienia RSA. Opcja ta jest przekazywana bezpośrednio do ssh(1).

-l limit
    Określa maksymalną prędkość transferu danych podaną w Kbit/s.

-p  Zachowuje czasy modyfikacji oraz dostępu i prawa oryginalnego pliku.

-r  Kopiuje rekurencyjnie całe katalogi.

-v  Tryb gadatliwy. Powoduje, że scp i ssh(1) drukują komunikaty debugowe o swoim działaniu. Jest to przydatne w debugowaniu problemów łączenia, autoryzacji i konfiguracji.

-B  Wybiera tryb wsadowy (nie pyta o hasła i frazy kodujące).

-q  Wyłącza wyświetlanie paska postępu.

-C  Włączenie kompresji. Przekazuje flagę -C do programu ssh(1), włączającą kompresję danych.

-F plik_konfig_ssh
    Określa alternatywny plik konfiguracyjny ssh. Ta opcja jest bezpośrednio przekazywana do ssh(1).

-P port
    Podaje port, do którego należy się podłączyć na zdalnym hoście. Zauważ, że opcja ta jest napisana jako wielkie ‘P’, gdyż -p już jest zarezerwowane dla innej operacji (zachowywania czasów modyfikacji i praw dostępu plików) w rcp(1).

-S program
    Nazwa programu używanego do tworzenia zakodowanego połączenia. Program ten musi przyjmować opcje ssh(1),

-o opcje_ssh
    Może być użyte do przekazania opcji programowi ssh, które muszą być podane w formacie opisanym w ssh_config(5). Opcja ta jest użyteczna do przekazywania opcji, dla których nie ma osobnej flagi linii poleceń w programie scp.

-1  Wymusza na scp użycie pierwszej wersji protokołu.

-2  Wymusza na scp użycie drugiej wersji protokołu.

-4  Wymusza na scp używanie tylko adresów IPv4.

-6  Wymusza na scp używanie tylko adresów IPv6.

DIAGNOSTYKA
scp kończy pracę z kodem 0, jeżeli wszystko odbyło się pomyślnie, lub z kodem >0 w wypadku błędu.

AUTORZY
Timo Rinne <tri@iki.fi> i Tatu Ylonen <ylo@ssh.fi>

HISTORIA
scp jest oparty na programie rcp(1) o kodzie źródłowym pochodzącyn z BSD, do którego prawa należą do władz Uniwersytetu Kalifornijskiego.

ZOBACZ TAKŻE
rcp(1), sftp(1), ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1), ssh_config(5), sshd(8)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:
man --locale=C 1 scp

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.